%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           ccfits
Version:        2.6
Release:        %mkrel 3
Summary:        An object oriented interface to the cfitsio library
License:        BSD-like
Group:          System/Libraries

URL:            https://heasarc.gsfc.nasa.gov/docs/software/fitsio/ccfits/
Source0:        https://heasarc.gsfc.nasa.gov/docs/software/fitsio/ccfits/CCfits-%{version}.tar.gz
#to remove -rpath in linking, sniffed from Fedora (Sergio Pascual)
Patch0:         CCfits-2.5-norpath.patch
Patch1:         CCfits-2.6-autotools.patch


BuildRequires:  pkgconfig(pkg-config)
BuildRequires:  gcc-c++
BuildRequires:  gcc-gfortran
%ifnarch %arm aarch64
BuildRequires:  quadmath-devel
%endif
BuildRequires:  pkgconfig(cfitsio)
BuildRequires:  autoconf-archive


%description
CCfits is an object oriented interface to the cfitsio library. It is
designed to make the capabilities of cfitsio available to programmers
working in C++. It is written in ANSI C++ and implemented using the
C++ Standard Library with namespaces, exception handling, and member
template functions.


%package -n %{libname}
Summary:        CCfits library
Group:          System/Libraries
Provides:	CCfits = %{version}-%{release}
Provides:	libCCfits = %{version}-%{release}
Obsoletes:	%{_lib}CCfits0 < 2.6

%description -n %{libname}
CCfits is an object oriented interface to the cfitsio library. It is
designed to make the capabilities of cfitsio available to programmers
working in C++. It is written in ANSI C++ and implemented using the
C++ Standard Library with namespaces, exception handling, and member
template functions.


%package -n %{develname}
Summary:        Headers, libraries, & docs for the CCfits library
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Requires:       cfitsio-devel
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:	libCCfits-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:	CCfits-devel = %{version}-%{release}
Obsoletes:	%{_lib}CCfits-devel < 2.6

%description -n %{develname}
This package contains the additional header files, documentation, and
libraries you need to develop programs using the CCfits library.


%prep
%setup -q -n CCfits-%{version}
%autopatch -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

find %{buildroot}%{_libdir} -name *.la -delete
rm -fr %{buildroot}%{_bindir}/cookbook

%files -n %{libname}
%doc CHANGES
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/CCfits/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so


%changelog
* Sun Dec 04 2022 daviddavid <daviddavid> 2.6-3.mga9
+ Revision: 1917618
- rebuild for new cfitsio 4.2.0

* Sat Apr 02 2022 umeabot <umeabot> 2.6-2.mga9
+ Revision: 1840888
- Mageia 9 Mass Rebuild

* Sat Aug 14 2021 wally <wally> 2.6-1.mga9
+ Revision: 1741374
- rename as ccfits
- new version 2.6

* Thu Jul 23 2020 daviddavid <daviddavid> 2.5-11.mga8
+ Revision: 1608166
- rebuild for new cfitsio 3.480

* Tue Mar 17 2020 eatdirt <eatdirt> 2.5-10.mga8
+ Revision: 1557513
- Rebuild for new cfitsio

* Wed Feb 12 2020 umeabot <umeabot> 2.5-9.mga8
+ Revision: 1511645
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.5-8.mga7
+ Revision: 1297324
- Mageia 7 Mass Rebuild

* Wed Jun 27 2018 pterjan <pterjan> 2.5-7.mga7
+ Revision: 1240226
- Do not BuildRequire quadmath-devel on aarch64

* Sun May 13 2018 daviddavid <daviddavid> 2.5-6.mga7
+ Revision: 1228766
- rebuild for new cfitsio 3.450

* Mon Oct 09 2017 eatdirt <eatdirt> 2.5-5.mga7
+ Revision: 1170563
- Rebuild for new cfitsio

* Mon Sep 11 2017 cjw <cjw> 2.5-4.mga7
+ Revision: 1152718
- add buildrequires: autoconf-archive
- fix build

* Tue Nov 22 2016 eatdirt <eatdirt> 2.5-3.mga6
+ Revision: 1068788
- Rebuild for new cfitsio

* Wed Mar 09 2016 eatdirt <eatdirt> 2.5-2.mga6
+ Revision: 988577
- Rebuild for new cfitsio

* Tue Jan 26 2016 eatdirt <eatdirt> 2.5-1.mga6
+ Revision: 927914
- Upgrade to version 2.5

* Sat Nov 28 2015 neoclust <neoclust> 2.4-13.mga6
+ Revision: 906778
- quadmath-devel is not available on ARM

* Wed Oct 15 2014 umeabot <umeabot> 2.4-12.mga6
+ Revision: 749940
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4-11.mga5
+ Revision: 686510
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.4-10.mga5
+ Revision: 677640
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 tv <tv> 2.4-9.mga5
+ Revision: 665731
- drop BR already pulled by BS
- drop uneede uClibc-devel BR

* Fri Feb 28 2014 eatdirt <eatdirt> 2.4-8.mga5
+ Revision: 597755
- Rebuild to fix broken deps to libcfitsio1

* Thu Feb 27 2014 eatdirt <eatdirt> 2.4-7.mga5
+ Revision: 597681
- Rebuild for new cfitsio

* Sat Oct 19 2013 umeabot <umeabot> 2.4-6.mga4
+ Revision: 530059
- Mageia 4 Mass Rebuild

* Tue Jul 16 2013 eatdirt <eatdirt> 2.4-5.mga4
+ Revision: 454931
- Rebuild for cfitsio 3.350

* Fri Jun 07 2013 eatdirt <eatdirt> 2.4-4.mga4
+ Revision: 438814
- Rebuilt for broken deps fix

* Thu Jun 06 2013 eatdirt <eatdirt> 2.4-3.mga4
+ Revision: 438559
- rebuilt for cfitsio 3.340

* Fri Jan 11 2013 umeabot <umeabot> 2.4-2.mga3
+ Revision: 345056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 10 2012 eatdirt <eatdirt> 2.4-1.mga3
+ Revision: 269255
- imported package CCfits

